Avid Pro Audio Community

Avid Pro Audio Community (https://duc.avid.com/index.php)
-   macOS (https://duc.avid.com/forumdisplay.php?f=92)
-   -   Just upgraded to MBA M2 - PT no longer working (https://duc.avid.com/showthread.php?t=421200)

midnightmastering 08-06-2022 01:03 AM

Just upgraded to MBA M2 - PT no longer working
 
I'll preface my situation with the fact, that I was half expecting to run into issues...So now I'm hoping for a solution!!

For the last few years, I've been using a PT 2018.4 perpetual license. I know it's an old version, but I'm not a power user, I don't need all the newest features, and I find this version offers all the main features I need.

PT was happily running on my 2019 MBA with Catalina. But this week I've upgraded to a new MBA M2 running Monterey, and this version of PT installed fine, but won't boot up. I don't even get an error message as to what the issue is.

So I've been trying to find out what is the latest OSX that supported 2018.4, and whether I can reinstall that older OSX on this new machine, or I'm just going to have to pay to upgrade to a newer version of PT?

Any thoughts or experiences appreciated

Mike

_JJ_ 08-06-2022 02:11 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Without actually looking up if PT 2018.4 is compatible with Monterey ... I will mention that you may need to check System Prefs >> Security & Privacy while you are installing PT. Sometimes you need to give an installer permission there manually. It will tell you it has blocked something and you can click "install anyway" or something like that. The thing is, that message and option does not hang around for long so you need to check it while you are installing.

Worth a try.

midnightmastering 08-06-2022 03:28 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Don't think it's related to security preferences, as no errors came up during the installation. Plus I've since located a document on Avid site that says High Sierra was the last OSX that 2018.4 supported - https://avid.secure.force.com/pkb/ar...4-Release-Info

I'm also now considering setting up an older OSX on a bootable drive, and just using that when working on PT projects. That way I can keep the latest OSX on the MBA.

LoudBassTone 08-06-2022 06:40 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Usually Avid will not test, above in your case High Sierra, once they move on. Most people will stretch an OS X above like to Mojave. But you might be out of luck trying Monterey with a 4 year build of Pro Tools. Seems 3 is the number. 2022.7 is tested to Catalina. When we move ahead it will be Ventura, Monterey and Big Sur. Members of DUC will test and push the boundaries, one way or another and results will very. Your idea of a OS X partition that works with your Pro Tools is probably a good choice. Changing hardware probably didn’t help either.

Obsidian Dragon 08-06-2022 09:50 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Quote:

Originally Posted by midnightmastering (Post 2643794)
I'm also now considering setting up an older OSX on a bootable drive, and just using that when working on PT projects. That way I can keep the latest OSX on the MBA.

Historically, Apple Mac's cannot run any OS version older than the one that was current when the machine was introduced. In this case your new MBA can only run Monterey and higher, so you idea of having a bootable drive with an older OS won't work...Unless you meant to run on your older MBA.

albee1952 08-06-2022 10:35 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Indeed, I think your only option for the MBA M2 is the newest version of Pro Tools. Apple never cares about backward compatibility, so every time they update OSX or hardware, it usually breaks everything(1 more reason I run a PC):o

off the wall 08-06-2022 07:45 PM

Re: Just upgraded to MBA M2 - PT no longer working
 
Quote:

Originally Posted by midnightmastering (Post 2643794)
Don't think it's related to security preferences, as no errors came up during the installation. Plus I've since located a document on Avid site that says High Sierra was the last OSX that 2018.4 supported - https://avid.secure.force.com/pkb/ar...4-Release-Info

I'm also now considering setting up an older OSX on a bootable drive, and just using that when working on PT projects. That way I can keep the latest OSX on the MBA.

That M2 machine will only run Monterey or newer. You need to get a newer Monterey compatible version of PT. No other choice.

Darryl Ramm 08-06-2022 11:42 PM

Re: Just upgraded to MBA M2 - PT no longer working
 
Your old Catalina is not even compiled for Apple silicon macs, so it could never run, let alone any typical minimum macOS version support issues.

You need to get Pro Tools upgraded. If your perpetual update/support programme has expired you need to purchase a support reinstatement/upgrade. And you also want to be doing this because the rate of Pro Tools bug/compatibility with Mac releases is very high and you may need those future releases, you also will want to get the future release of Pro Tools with Apple native silicon support.

Do not screw up and buy the wrong product, be sure you read about and understand the difference between buying a subscription, a support/update plan renewal, or a support/update plan reinstatement/upgrade. If you do not understand this then call up a sales rep at a large Avid dealer (like Vintage King) and talk to them live about exactly what you have and your options.

midnightmastering 08-07-2022 12:12 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Thanks for all the feedback and advice.

I found a USB stick lying around with an old OSX installed (I think Maverick) and you're right, the new M2 MBA won't load/run it. I did have success with this on the 2018 MBA, which I'm guessing is because those OSXs supported the Intel chip, and this machine is now Apple silicon.

Ironically I did get an email from Avid last week, offering a discount on upgrading to the latest version. It does say I'd be upgrading to a perpetual license plus get 12 months of new features and support, but like someone already mentioned I'd better read the fine print!...

Darryl Ramm 08-07-2022 12:36 AM

Re: Just upgraded to MBA M2 - PT no longer working
 
Yes read up, but that discount/promo *is* what you want to take.


All times are GMT -7. The time now is 06:06 AM.

Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com